seqstat(1)

NAME

seqstat - show statistics and format for a sequence file

SYNOPSIS
seqstat [options] seqfile

DESCRIPTION
seqstat reads a sequence file seqfile and shows a number of simple statistics about it. The printed statistics include the name of the format, the residue type of the first sequence (protein, RNA, or DNA), the number of sequences, the total number of residues, and the average and range of the sequence lengths.

OPTIONS

-a  Show additional verbose information: a table with one line per sequence showing name, length, and description line. These lines are prefixed with a * character to enable easily grep'ing them out and sorting them.

-h  Print brief help; includes version number and summary of all options, including expert options.

-B  (Babelfish). Autodetect and read a sequence file format other than the default (FASTA). Almost any common sequence file format is recognized (including Genbank, EMBL, SWISS-PROT, PIR, and GCG unaligned sequence formats, and Stockholm, GCG MSF, and Clustal alignment formats). See the printed documentation for a complete list of supported formats.

EXPERT OPTIONS

--informat <s>
    Specify that the sequence file is in format <s>, rather than the default FASTA format. Common examples include Genbank, EMBL, GCG, PIR, Stockholm, Clustal, MSF, or PHYLIP; see the printed documentation for a complete list of accepted format names. This option overrides the default expected format (FASTA) and the -B Babelfish autodetection option.

--quiet
    Suppress the verbose header (program name, release number and date, the parameters and options in effect).

SEE ALSO

@SEEALSO@

AUTHOR
@PACKAGE@ and its documentation is @COPYRIGHT@ HMMER - Biological sequence analysis with profile HMMs Copyright (C) 1992-1999 Washington University School of Medicine All Rights Reserved
    This source code is distributed under the terms of the
    GNU General Public License. See the files COPYING and LICENSE
    for details. See COPYING in the source code distribution for more details, or contact me.
Sean Eddy
Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-7855
Email: eddy@genetics.wustl.edu